List categories
GET https://api.weav.com/v1/kb-categories
Requires a token with the external-api:read or external-api:write ability.
Query parameters
per_pageintegerDefault: 15Minimum: 1.
Maximum: 100.
pageintegerDefault: 1Minimum: 1.
Request
cURL
curl --request GET \
--url 'https://api.weav.com/v1/kb-categories' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/kb-categories", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
}
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/kb-categories", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/kb-categories', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
Response
200 OK
{
"data": [
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"name": "string",
"slug": "string",
"section_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"position": 0,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
]
}
401Unauthorized
Response fields
idstringFormat: uuid.
namestringslugstringsection_idstring | nullFormat: uuid.
positioninteger | nullcreated_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
